Subject: bug#11588: 24.0.97; Left mouse click setting the mark every time?!??

From: Chong Yidong <[email-masked]>
Date: Thu, 31 May 2012 00:33:12 +0800

Tobias Bading <[email-masked]> writes:

> Umm... emacs -Q:
> C-h v mark-ring RET shows that mark-ring is initially nil.
> Now click <n> times with the left mouse button somewhere in the
> *scratch* buffer.
> Now mark-ring contains <n-1> elements.
>
> Am I missing or misinterpreting something here?  C-SPC, left mouse
> click somewhere, then C-w doesn't kill anything. In Emacs 23, it did.

OK, now I see what you mean.

The old mouse dragging code had a special behavior to pop the mark if
you did not move the mouse much after the down event, to avoid setting
the mark (this did not work reliably; if you move the mouse a little bit
between the down and up events, the mark gets set anyway).  I'll see if
there is a way to get this to work with the new code, but it won't be
for the 24.1 release.